# $Revision: 1.6 $, $Date: 2004/08/13 17:17:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Cephes
Summary:	Math::Cephes - Perl interface to the cephes math library
Summary(pl):	Math::Cephes - interfejs perlowy do biblioteki matematycznej cephes
Name:		perl-Math-Cephes
Version:	0.36
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e4930ead1c799c96fe01e2ddf89db6b1
Patch0:		%{name}-glibc.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# it's too x86-centric about fp internals
ExclusiveArch:	%{ix86} amd64 ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to over 150 functions of the cephes
math library of Stephen Moshier.

%description -l pl
Ten modu dostarcza interfejs do ponad 150 funkcji z biblioteki
matematycznej cephes autorstwa Stephena Moshiera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/pmath
%{perl_vendorarch}/Math/Cephes.pm
%{perl_vendorarch}/Math/Cephes
%dir %{perl_vendorarch}/auto/Math/Cephes
%{perl_vendorarch}/auto/Math/Cephes/Cephes.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Cephes/Cephes.so
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Cephes.spec,v $
Revision 1.6  2004/08/13 17:17:51  radek
- release 2: it built on ppc; added to ExclusiveArch

Revision 1.5  2004/05/23 18:29:16  qboosh
- ExclusiveArch x86+amd64 (too x86-centric about fp internals)

Revision 1.4  2004/05/06 18:43:16  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/23 07:50:16  ankry
- license fixes, unification

Revision 1.2  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.1  2003/10/26 14:18:28  qboosh
- new
